/* 请求方法封装 wy 2019-11-8 */
/* 服务器地址 */
// const baseUrl = "http://192.168.0.239:8887/api/"; //测试
// const baseUrl = "http://121.41.74.191/tkwx-api/";//正式环境
// const baseUrl = "http://wangyi.vipgz4.idcfengye.com/api/" // 王毅
const baseUrl = "http://api.g.68wx.com/tkwx-api/";
// const baseUrl =  "http://test.api.68wx.com/tkwx-api/";
// const baseUrl =  "http://192.168.0.20:8887/tkwx-api/";

/* 机构id */
const agentId = "621995219419136";
const agentAppId = "1248181302707879938";
const tencentAppid = 1251150518;
var UILoading;
var loadingId;
var loadingParam = {
    rect: {
        w: 80,
        h: 100
    },
    styles: {
        bg: 'rgba(0,0,0,0)',
        corner: 0,
        interval: 50,
        frame: {
            w: 30,
            h: 30
        }
    },
    content: [{
        "frame": "widget://image/loading/loading-01.png"
    }, {
        "frame": "widget://image/loading/loading-02.png"
    }, {
        "frame": "widget://image/loading/loading-03.png"
    }, {
        "frame": "widget://image/loading/loading-04.png"
    }, {
        "frame": "widget://image/loading/loading-05.png"
    }, {
        "frame": "widget://image/loading/loading-06.png"
    }, {
        "frame": "widget://image/loading/loading-07.png"
    }, {
        "frame": "widget://image/loading/loading-08.png"
    }, {
        "frame": "widget://image/loading/loading-09.png"
    }, {
        "frame": "widget://image/loading/loading-10.png"
    }, {
        "frame": "widget://image/loading/loading-11.png"
    }, {
        "frame": "widget://image/loading/loading-12.png"
    }]
};
var webapi = {
    tencentAppid:tencentAppid,
    baseURL: baseUrl,
    //封装get/post方法
    get(url, obj, fnSuc) {
        var UILoading = api.require('UILoading');
        UILoading.keyFrame(loadingParam);
        var query = '?' + utils.parseParams(obj);
        if (query == "?") {
            query = "";
        }
        api.ajax({
            url: webapi.baseURL + url + query,
            method: 'get',
            headers: webapi.getRequestHeader()
        }, function(ret, err) {
            // UILoading.closeFlower({id: loadingId});
            UILoading.closeKeyFrame();
            if (ret) {
                // console.log(JSON.stringify(ret));
                if (ret.code == 401) {
                    $api.rmStorage('userInfo');
                    webapi.checkLogin();
                    return;
                }
                if (ret.code == 500) {
                    api.toast({
                        msg: ret.msg
                    });
                }
                if (fnSuc != null) {
                    fnSuc(ret);
                }
            } else {
                console.log(err.msg);
                api.toast({
                    msg: "网络不可用，请检查网络设置"
                });
            }
        });
    },
    post(url, obj, fnSuc, bodyOptions) {
        var UILoading = api.require('UILoading');
        UILoading.keyFrame(loadingParam);
        var header = webapi.getRequestHeader();
        var bodyDefaultOptions = {
            body: 'application/x-www-form-urlencoded',
            values: obj || {}
        };
        if (bodyOptions != null) {
            bodyDefaultOptions = bodyOptions;
        }
        var defaultDefaultOptions = Object.assign({
            url: webapi.baseURL + url,
            method: 'post',
            data: bodyDefaultOptions
        }, (header == null ? {} : {
            headers: header
        }));
        api.ajax(defaultDefaultOptions, function(ret, err) {
            UILoading.closeKeyFrame();
            if (ret) {
                console.log(JSON.stringify(ret));
                if (ret.code == 401) {
                    $api.rmStorage('userInfo');
                    webapi.checkLogin();
                    return;
                }
                if (ret.code == 500) {
                    api.toast({
                        msg: ret.msg
                    });
                }
                if (fnSuc != null) {
                    fnSuc(ret);
                }
            } else {
              api.toast({
                  msg: "网络不可用，请检查网络设置"
              });
            }
        });
    },
    post_json(url, obj, fnSuc, bodyOptions) {
        var UILoading = api.require('UILoading');
        UILoading.keyFrame(loadingParam);
        var header = webapi.getRequestHeader();
        var bodyDefaultOptions = {
            body: obj
        };
        if (bodyOptions != null) {
            bodyDefaultOptions = bodyOptions;
        }
        var defaultDefaultOptions = Object.assign({
            url: webapi.baseURL + url,
            method: 'post',
            data: bodyDefaultOptions
        }, (header == null ? {} : {
            headers: Object.assign(header, {
                'Content-Type': 'application/json;charset=utf-8'
            })
        }));
        api.ajax(defaultDefaultOptions, function(ret, err) {
            UILoading.closeKeyFrame();
            if (ret) {
                console.log(JSON.stringify(ret));
                if (ret.code == 401) {
                    $api.rmStorage('userInfo');
                    webapi.checkLogin();
                    return;
                }
                if (ret.code == 500) {
                    api.toast({
                        msg: ret.msg
                    });
                }
                if (fnSuc != null) {
                    fnSuc(ret);
                }
            } else {
              api.toast({
                  msg: "网络不可用，请检查网络设置"
              });
            }

        });
    },
    //上传文件
    uploadFile(path, fnSuc) {
        UILoading = api.require('UILoading');
        var loading;
        UILoading.flower({}, function(loadingRet) {
            loading = loadingRet;
        });
        api.ajax({
            url: baseUrl + 'common/uploadFile',
            method: 'post',
            headers: webapi.getRequestHeader(),
            data: {
                files: {
                    file: path
                }
            }
        }, function(ret, err) {
            UILoading.closeFlower(loading);
            if (ret) {
                console.log(JSON.stringify(ret));
                if (ret.code == 401) {
                    webapi.loginOut();
                    webapi.checkLogin();
                    return;
                }
                if (ret.code == 500) {
                    api.toast({
                        msg: ret.msg
                    });
                }
                if (fnSuc != null) {
                    fnSuc(ret);
                }
            } else {
                api.toast({
                    msg: err.msg
                });
            }
        });
    },
    // -----------------------------直播--------------------------------------
    liveBroadcast(liveInfoId,roomId,videoInfoName,liveState) {

        if(webapi.checkLogin()){
          var UILoading = api.require('UILoading');
          UILoading.keyFrame(loadingParam);
          var userInfo = $api.getStorage('userInfo');
          if(liveState==2){
            // console.log(roomId);
            api.ajax({
                url: 'https://live.ztiku.net/zshd/room_info?rid='+roomId+"&nick="+userInfo.name,
                method: 'get',
            }, function(ret, err) {
                if (ret) {
                    if(ret.code == 200){

                      var liveUrl=ret.data.live_url;
                      if(liveUrl.indexOf('?')==-1){
                        liveUrl+="?nickname="+userInfo.name;
                      }else{
                        liveUrl+="&nickname="+userInfo.name;
                      }
                      webapi.toLive(liveUrl,videoInfoName,liveInfoId);
                    }
                } else {
                    api.toast({
                        msg: err.msg
                    });
                }
                UILoading.closeKeyFrame();
            });
          }else{

            api.ajax({
                url: 'https://live.ztiku.net/zshd/course_ware_list?rid='+roomId+"&nick="+userInfo.name,
                method: 'get',
            }, function(ret, err) {
              // console.log(JSON.stringify(ret));
                if (ret) {
                    if(ret.code == 200){
                      var data=ret.data;
                      if(data!=null && data.length>0){
                        if(data.length>1){
                          var str='';
                          for (var i = 0; i < data.length; i++) {
                            var liveUrl=data[i].url;
                            if(liveUrl.indexOf('?')==-1){
                              liveUrl+="?nickname="+userInfo.name;
                            }else{
                              liveUrl+="&nickname="+userInfo.name;
                            }
                            str+='<li class="aui-list-item" onclick="webapi.toLive(\''+liveUrl+'\',\''+videoInfoName+'\','+liveInfoId+');">'+
                                  '<div class="aui-list-item-inner aui-list-item-arrow">'+
                                      '<div class="aui-list-item-title">'+data[i].subject+'(回放)</div>'+
                                  '</div>'+
                                '</li>';
                          }
                          layer.open({
                            type: 1
                            ,content: '<ul class="aui-list aui-list-in">'+str+'</ul>'
                            ,anim: 'up'
                            ,style: 'position:fixed; bottom:0; left:0; width: 100%; padding:10px 0; border:none;'
                          });

                        }else{
                          var liveUrl=data[0].url;
                          if(liveUrl.indexOf('?')==-1){
                            liveUrl+="?nickname="+userInfo.name;
                          }else{
                            liveUrl+="&nickname="+userInfo.name;
                          }
                          webapi.toLive(liveUrl,videoInfoName,liveInfoId);
                        }

                      }else{
                        api.toast({
                            msg: '直播已结束，回放暂未生成'
                        });
                      }

                    }
                } else {
                    api.toast({
                        msg: err.msg
                    });
                }
                UILoading.closeKeyFrame();
            });
          }
        }
    },
    toLive(liveSrc,videoInfoName,liveInfoId){
      api.openWin({
          name: 'live_broadcast',
          url: 'widget://html/curriculum/live_broadcast.html',
          pageParam: {
              liveSrc: liveSrc,
              videoInfoName: videoInfoName,
              liveInfoId: liveInfoId
          }
      });
    },


    // -----------------------------用户--------------------------------------
    getRequestHeader() {
        var systemType = api.systemType;
        var userInfo = $api.getStorage('userInfo');
        if (userInfo == null || userInfo == "undefined" || userInfo == undefined) {
            return {
                agentId: agentId,
                agentAppId: agentAppId,
                pageType: systemType
            };
        }
        var appId = api.appId;

        return {
            openId: userInfo.openId,
            token: userInfo.token,
            agentId: agentId,
            agentAppId: agentAppId,
            pageType: systemType,
            appId: appId
        };
    },
    getUserInfo() {
        var userInfo = $api.getStorage('userInfo');
        if (utils.isEmptyObject(userInfo)) {
            return null;
        }
        return {
            name: userInfo.name,
            mobile: userInfo.mobile,
            headPic: userInfo.headPic,
            sex: userInfo.sex,
            hasPassword: userInfo.hasPassword
        };
    },
    checkLogin() {
        var userInfo = $api.getStorage('userInfo');
        if (!utils.isEmptyObject(userInfo)) {
            api.closeWin({
                name: 'login'
            });
            return true;
        } else {
            // $api.clearStorage();
            $api.rmStorage('userInfo');

            api.openWin({
                name: 'login',
                url: 'widget://html/login.html',
                animation: {
                    type: "movein", //动画类型（详见动画类型常量）
                    subType: "from_bottom", //动画子类型（详见动画子类型常量）
                    duration: 300 //动画过渡时间，默认300毫秒
                }
            });
            return false;
        }
    },
    //获取登录 短信验证码
    getLoginSMSCode(obj, fnSuc) {
        webapi.post_json('login/getLoginSMSCode', obj, fnSuc);
    },
    //获取修改密码时的短信验证码
    getPasswordSMSCode(obj, fnSuc) {
        webapi.post_json('login/getPasswordSMSCode', obj, fnSuc);
    },
    //短信验证码验证 改密码
    updatePasswordByCode(obj, fnSuc) {
        webapi.post_json('login/updatePasswordByCode', obj, fnSuc);
    },
    // 用户登录(验证码登陆)
    loginByCode(obj, fnSuc) {
        webapi.post_json('login/loginByCode', obj, function(ret) {

          if (ret.code == 0) {
              $api.setStorage("userInfo", ret.userInfo);
              webapi.checkLogin();
          }
          api.sendEvent({
              name: 'reloadPage'
          });
          // if(ret.userInfo.hasPassword==false){
          //       api.openWin({
          //           name: 'setPwd',
          //           url: 'widget://html/mine/setPwd.html',
          //           slidBackEnabled:false
          //       });
          //       api.toast({
          //           msg: "检测到您还未设置密码，请设置您的登录密码",
          //           global: true
          //       });
          // }
          if (fnSuc != null) {
              fnSuc(ret);
          }
        });
    },
    //用户登录(密码登录)
    loginByPassword(obj, fnSuc) {
        webapi.post_json('login/loginByPassword', obj, function(ret) {
            if (ret.code == 0) {
                $api.setStorage("userInfo", ret.userInfo);
                webapi.checkLogin();
                api.closeWin({
                    name: 'loginPwd'
                });
            }
            api.sendEvent({
                name: 'reloadPage'
            });
            if (fnSuc != null) {
                fnSuc(ret);
            }
        });
    },
    setPassword(obj, fnSuc) {
        webapi.post_json('login/setPassword', obj, fnSuc);
    },
    // 用户注销
    loginOut(obj) {
        $api.rmStorage('userInfo');
        api.sendEvent({
            name: 'reloadPage'
        });
        api.closeWin();
    },
    //找回密码
    findSMSCode(obj, fnSuc) {
        webapi.post_json('login/findSMSCode', obj, fnSuc);
    },
    findPasswordByCode(obj, fnSuc) {
        webapi.post_json('login/findPasswordByCode', obj, fnSuc);
    },
    //修改用户昵称
    updateUsername(obj, fnSuc) {
        webapi.post_json('login/updateUsername', obj, fnSuc);
    },
    //修改用户昵称
    updateSex(obj, fnSuc) {
        webapi.post_json('login/updateSex', obj, fnSuc);
    },
    //修改用户头像
    updateHeadPic(obj, fnSuc) {
        webapi.post_json('login/updateHeadPic', obj, fnSuc);
    },
    //获取修改手机号验证码
    getUpdateMobileSMSCode(obj, fnSuc) {
        webapi.post_json('login/getUpdateMobileSMSCode', obj, fnSuc);
    },
    //修改手机号
    updateMobileByCode(obj, fnSuc) {
        webapi.post_json('login/updateMobileByCode', obj, fnSuc);
    },
    //获取科目树结构
    getSubjectTreeList(obj, fnSuc) {
        webapi.get('subjectCourse/getSubjectTreeList', obj, fnSuc);
    },
    //获取科目课程树结构
    getSubjectCourseTreeList(obj, fnSuc) {
        webapi.get('subjectCourse/getSubjectCourseTreeList', obj, fnSuc);
    },
    getChooseSubject() {
        var subject = $api.getStorage('subject');
        if (utils.isEmptyObject(subject)) {
            api.openWin({
                name: 'courseChoose',
                url: 'widget://html/courseChoose.html',
                slidBackEnabled: false
            });
            return {};
        }
        return subject;
    },
    getChooseCourse() {
        var course = $api.getStorage('course');
        if (utils.isEmptyObject(course)) {
            api.openWin({
                name: 'courseChoose',
                url: 'widget://html/courseChoose.html',
                slidBackEnabled: false
            });
            return {};
        }
        return course;
    },
    getCourseListBySubject(obj, fnSuc) {
        webapi.get('subjectCourse/getCourseListBySubject', obj, fnSuc);
    },
    getChapterTree(obj, fnSuc) {
        webapi.get('question/getChapterTree', obj, fnSuc);
    },
    getQuestionByChapter(obj, fnSuc) {
        webapi.get('question/getQuestionByChapter', obj, fnSuc);
    },
    getQuestionByExam(obj, fnSuc) {
        webapi.get('question/getQuestionByExam', obj, fnSuc);
    },
    getExamList(obj, fnSuc) {
        webapi.get('question/getExamList', obj, fnSuc);
    },
    getExamInfo(obj, fnSuc) {
        webapi.get('question/getExamInfo', obj, fnSuc);
    },
    submitExercise(obj, fnSuc) {
        webapi.post_json('question/submitExercise', obj, fnSuc);
    },
    checkExerciseIsSubmit(obj, fnSuc) {
        webapi.get('question/checkExerciseIsSubmit', obj, fnSuc);
    },
    resetExercise(obj, fnSuc) {
        webapi.get('question/resetExercise', obj, fnSuc);
    },
    getExerciseResultById(obj, fnSuc) {
        webapi.get('question/getExerciseResultById', obj, fnSuc);
    },
    getExerciseResultByType(obj, fnSuc) {
        webapi.get('question/getExerciseResultByType', obj, fnSuc);
    },
    getQuestionByExercise(obj, fnSuc) {
        webapi.get('question/getQuestionByExercise', obj, fnSuc);
    },
    collectQuestion(obj, fnSuc) {
        webapi.post_json('question/collectQuestion', obj, fnSuc);
    },
    getExerciseStatistics(obj, fnSuc) {
        webapi.get('question/getExerciseStatistics', obj, fnSuc);
    },
    getWrongQuestionTree(obj, fnSuc) {
        webapi.get('question/getWrongQuestionTree', obj, fnSuc);
    },
    getCollectQuestionTree(obj, fnSuc) {
        webapi.get('question/getCollectQuestionTree', obj, fnSuc);
    },
    removeWrongQuestion(obj, fnSuc) {
        webapi.post_json('question/removeWrongQuestion', obj, fnSuc);
    },
    getQuestionByKnowledge(obj, fnSuc) {
        webapi.get('question/getQuestionByKnowledge', obj, fnSuc);
    },
    addQuestionQuery(obj, fnSuc) {
        webapi.post_json('question/addQuestionQuery', obj, fnSuc);
    },
    getMyQuestionQuery(obj, fnSuc) {
        webapi.get('question/getMyQuestionQuery', obj, fnSuc);
    },
    getQuestionQueryDetail(obj, fnSuc) {
        webapi.get('question/getQuestionQueryDetail', obj, fnSuc);
    },
    getMyQuestionQueryNotReadCount(obj, fnSuc) {
        webapi.get('question/getMyQuestionQueryNotReadCount', obj, fnSuc);
    },
    getApplyGuideBySubject(obj, fnSuc) {
        webapi.get('subjectCourse/getApplyGuideBySubject', obj, fnSuc);
    },
    checkApplyGuideBySubject(obj, fnSuc) {
        webapi.get('subjectCourse/checkApplyGuideBySubject', obj, fnSuc);
    },
    getExamTypeListByCourse(obj, fnSuc) {
        webapi.get('question/getExamTypeListByCourse', obj, fnSuc);
    },
    getNewsList3(obj, fnSuc) {
        webapi.get('news/getNewsList3', obj, fnSuc);
    },
    getNewsInfo(obj, fnSuc) {
        webapi.get('news/getNewsInfo', obj, fnSuc);
    },
    likeNews(obj, fnSuc) {
        webapi.get('news/likeNews', obj, fnSuc);
    },
    getNewsListAll(obj, fnSuc) {
        webapi.get('news/getNewsListAll', obj, fnSuc);
    },
    // 课程页  获取科目类型列表
    getSubjectPList(obj, fnSuc) {
        webapi.get('subjectCourse/getSubjectPList', obj, fnSuc);
    },
    // 课程页  获取商品列表-通过科目类型id
    getGoodsListBySubjectType(obj, fnSuc) {
        webapi.get('goodsOrder/getGoodsListBySubjectType', obj, fnSuc);
    },
    // 课程页  获取商品详情
    getGoodsInfo(obj, fnSuc) {
        webapi.get('goodsOrder/getGoodsInfo', obj, fnSuc);
    },
    // 课程页  详情页  获取商品评论
    getGoodsCommentList(obj, fnSuc) {
        webapi.get('goodsOrder/getGoodsCommentList', obj, fnSuc);
    },
    // 课程页  详情页  点赞
    goodsCommentLike(obj, fnSuc) {
        webapi.get('goodsOrder/goodsCommentLike', obj, fnSuc);
    },
    // 商品下单
    addOrder(obj, fnSuc) {
        webapi.post_json('goodsOrder/addOrder', obj, fnSuc);
    },
    // 微信支付
    goodsOrderPay(obj, fnSuc) {
        webapi.get('wxPay/goodsOrderPay', obj, fnSuc);
    },
    // 支付宝支付
    goodsOrderPay_ali(obj, fnSuc) {
        webapi.get('aliPay/goodsOrderPay', obj, fnSuc);
    },
    // 我的订单列表
    getMyOrderList(obj, fnSuc) {
        webapi.get('goodsOrder/getMyOrderList', obj, fnSuc);
    },
    // 我的订单明细
    getMyOrderInfo(obj, fnSuc) {
        webapi.get('goodsOrder/getMyOrderInfo', obj, fnSuc);
    },
    // 取消订单
    cancelOrder(obj, fnSuc) {
        webapi.get('goodsOrder/cancelOrder', obj, fnSuc);
    },
    // 删除订单
    deleteOrder(obj, fnSuc) {
        webapi.get('goodsOrder/deleteOrder', obj, fnSuc);
    },
    // 添加商品评论
    addGoodsComment(obj, fnSuc) {
        webapi.post_json('goodsOrder/addGoodsComment', obj, fnSuc);
    },
    // 我的商品评论
    getMyOrderComment(obj, fnSuc) {
        webapi.get('goodsOrder/getMyOrderComment', obj, fnSuc);
    },
    // 章节练习 检测是否开通题库课程
    checkQuestionCourse(obj, fnSuc) {
        webapi.get('goodsOrder/checkQuestionCourse', obj, fnSuc);
    },
    // 获取所有优惠券列表
    getDiscountCouponList(obj, fnSuc) {
        webapi.get('goodsOrder/getDiscountCouponList', obj, fnSuc);
    },
    // 领取优惠券
    receiveDiscountCoupon(obj, fnSuc) {
        webapi.get('goodsOrder/receiveDiscountCoupon', obj, fnSuc);
    },
    // 获取我的优惠券列表
    getMyDiscountCouponList(obj, fnSuc) {
        webapi.get('goodsOrder/getMyDiscountCouponList', obj, fnSuc);
    },
    // 根据商品获取我可用的优惠券列表
    getMyDiscountCouponByGoods(obj, fnSuc) {
        webapi.get('goodsOrder/getMyDiscountCouponByGoods', obj, fnSuc);
    },
    // 首页展示数据
    getIndexPageWidgetRelation(obj, fnSuc) {
        webapi.get('pageWidgetRelation/getIndexPageWidgetRelation', obj, fnSuc);
    },
    // 首页猜你喜欢数据
    getGoodsListHomePage(obj, fnSuc) {
        webapi.get('goodsOrder/getGoodsListHomePage', obj, fnSuc);
    },
    // 获取我的课程列表
    getMyCourseList(obj, fnSuc) {
        webapi.get('goodsOrder/getMyCourseList', obj, fnSuc);
    },
    getVideoCourseInfoList(obj, fnSuc) {
        webapi.get('goodsOrder/getVideoCourseInfoList', obj, fnSuc);
    },
    getLiveInfoList(obj, fnSuc) {
        webapi.get('goodsOrder/getLiveInfoList', obj, fnSuc);
    },
    getMyOrderWaitPayCount(obj, fnSuc) {
        webapi.get('goodsOrder/getMyOrderWaitPayCount', obj, fnSuc);
    },
    getMyGoodsList(obj, fnSuc) {
        webapi.get('goodsOrder/getMyGoodsList', obj, fnSuc);
    },
    //获取模考设置
    getIndexExamSettingList(obj, fnSuc) {
        webapi.post_json('examStudent/getIndexExamSettingList', obj, fnSuc);
    },
    addExamStudent(obj, fnSuc) {
        webapi.post_json('examStudent/addExamStudent', obj, fnSuc);
    },
    getAppExamSettingInfo(obj, fnSuc) {
        webapi.get('examStudent/getAppExamSettingInfo', obj, fnSuc);
    },
    getAppIndexPageWidgetRelation(obj, fnSuc) {
        webapi.get('pageWidgetRelation/getAppIndexPageWidgetRelation', obj, fnSuc);
    },
    getTeacherInformation(obj, fnSuc) {
        webapi.get('news/getTeacherInformation', obj, fnSuc);
    },
    getNewsInformation(obj, fnSuc) {
        webapi.get('news/getNewsInformation', obj, fnSuc);
    },
    getLiveMaterials(obj, fnSuc) {
        webapi.get('liveMaterials/getLiveMaterials', obj, fnSuc);
    },
    getVideoMaterials(obj, fnSuc) {
        webapi.get('videoMaterials/getVideoMaterials', obj, fnSuc);
    },
    getClassInfoDetailByCourseId(obj, fnSuc) {
        webapi.get('classCourseDetail/getClassInfoDetailByCourseId', obj, fnSuc);
    },
    apiAddSignInLog(obj, fnSuc) {
        webapi.post_json('signInLog/apiAddSignInLog', obj, fnSuc);
    },
    chapterMaterialsList(obj, fnSuc) {
        webapi.get('classCourseDetail/chapterMaterialsList', obj, fnSuc);
    },
    apiChapterMaterialsList(obj, fnSuc) {
        webapi.get('classCourseDetail/apiChapterMaterialsList', obj, fnSuc);
    },
    apiGetChapterMaterialsById(obj, fnSuc) {
        webapi.get('classCourseDetail/apiGetChapterMaterialsById', obj, fnSuc);
    },
    apiGetExerciseListByMaterialsId(obj, fnSuc) {
        webapi.get('question/apiGetExerciseListByMaterialsId', obj, fnSuc);
    },
    getMyGoodsComment(obj, fnSuc) {
        webapi.get('goodsOrder/getMyGoodsComment', obj, fnSuc);
    },
}

window.webapi = webapi;
